package application

import (
	"sirlab.de/go/knyt/applicationConfig"
	"sirlab.de/go/knyt/users"
)

type Application struct {
	config applicationConfig.ApplicationConfig
	users  users.Users
}

func NewApplication(config applicationConfig.ApplicationConfig) *Application {
	app := Application{
		config: config,
		users:  users.NewUsers(config),
	}

	return &app
}

func (app *Application) GetConfig() applicationConfig.ApplicationConfig {
	return app.config
}

func (app *Application) GetUsers() *users.Users {
	return &app.users
}
