package users

import (
	"fmt"
	"sirlab.de/go/knyt/applicationConfig"
	"sirlab.de/go/knyt/user"
)

type Users struct {
	appConfig applicationConfig.ApplicationConfig
	users     map[string]*user.User
}

func NewUsers(appConfig applicationConfig.ApplicationConfig) Users {
	return Users{
		users:     make(map[string]*user.User),
		appConfig: appConfig,
	}
}

func (users Users) AddUser(usr *user.User) {
	users.users[usr.Id] = usr
}

func (users Users) GetUserById(id string) (*user.User, error) {
	usr := users.users[id]
	if usr == nil {
		return nil, fmt.Errorf("unknown id")
	}
	return usr, nil
}
